package com.perforce.ts.jiraAccess;

/**
 * Application Exception (wrapper for checking other exceptions)
 *
 * @author jbrown
 */
public class JiraAccessException extends Exception {

    /**
     * Creates a new instance of <code>JiraAccessException</code> without detail message.
     */
    public JiraAccessException() {
    }

    /**
     * Constructs an instance of <code>JiraAccessException</code> with the specified detail message.
     *
     * @param msg the detail message.
     */
    public JiraAccessException(String msg) {
        super(msg);
    }

    public JiraAccessException(String msg, Throwable t) {
        super(msg, t);
    }
}
